corda / net.corda.core.flows / FlowLogicRef

# FlowLogicRef

`data class FlowLogicRef`

A class representing a FlowLogic instance which would be possible to safely pass out of the contract sandbox.

Only allows a String reference to the FlowLogic class, and only allows restricted argument types as per FlowLogicRefFactory.

### Properties

appContext | `val appContext: AppContext`
args | `val args: Map<String, Any?>`
flowLogicClassName | `val flowLogicClassName: String`